/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <keel/module.hpp>

#include <nostalgia/core/module.hpp>
#include <nostalgia/scene/scenemodule.hpp>

namespace nostalgia {

static bool modulesLoaded = false;
void loadModules() noexcept {
	if (modulesLoaded) {
		return;
	}
	keel::registerModule(core::module());
	keel::registerModule(scene::module());
	modulesLoaded = true;
}

}
